diff -pruN 0.3.8-1/PKG-INFO 0.4.0-1/PKG-INFO
--- 0.3.8-1/PKG-INFO	2022-05-24 16:02:57.533395800 +0000
+++ 0.4.0-1/PKG-INFO	2024-08-14 15:28:43.261426400 +0000
@@ -1,57 +1,61 @@
 Metadata-Version: 2.1
 Name: mwoauth
-Version: 0.3.8
+Version: 0.4.0
 Summary: A generic MediaWiki OAuth handshake helper.
 Home-page: https://github.com/mediawiki-utilities/python-mwoauth
 Author: Aaron Halfaker / Filippo Valsorda
 Author-email: aaron.halfaker@gmail.com
 License: MIT
-Description: MediaWiki OAuth Library
-        =======================
-        
-        ``mwoauth`` is an open licensed (MIT) library designed to provide a simple means to performing an OAuth handshake with a MediaWiki installation with the `OAuth Extension <https://www.mediawiki.org/wiki/Extension:OAuth>`_ installed.  
-        
-        **Compatible with python 2.7 and 3.x**
-        
-        **Install with pip:** ``pip install mwoauth``
-        
-        **Documentation:** http://pythonhosted.org/mwoauth
-        
-        Usage
-        =====
-        
-        .. code-block:: python
-        
-        	from mwoauth import ConsumerToken, Handshaker
-        	from six.moves import input # For compatibility between python 2 and 3
-        	
-        	# Construct a "consumer" from the key/secret provided by MediaWiki
-        	import config
-        	consumer_token = ConsumerToken(config.consumer_key, config.consumer_secret)
-        	
-        	# Construct handshaker with wiki URI and consumer
-        	handshaker = Handshaker("https://en.wikipedia.org/w/index.php",
-        	                        consumer_token)
-        	
-        	# Step 1: Initialize -- ask MediaWiki for a temporary key/secret for user
-        	redirect, request_token = handshaker.initiate()
-        	
-        	# Step 2: Authorize -- send user to MediaWiki to confirm authorization
-        	print("Point your browser to: %s" % redirect) # 
-        	response_qs = input("Response query string: ")
-        	
-        	# Step 3: Complete -- obtain authorized key/secret for "resource owner"
-        	access_token = handshaker.complete(request_token, response_qs)
-        	print(str(access_token))
-        	
-        	# Step 4: Identify -- (optional) get identifying information about the user
-        	identity = handshaker.identify(access_token)
-        	print("Identified as {username}.".format(**identity))
-        
-        
-Platform: UNKNOWN
 Classifier: Development Status :: 4 - Beta
 Classifier: Topic :: Security
 Classifier: License :: OSI Approved :: MIT License
 Classifier: Topic :: Software Development :: Libraries :: Python Modules
+License-File: LICENSE
+Requires-Dist: PyJWT>=1.0.1
+Requires-Dist: oauthlib
+Requires-Dist: requests
+Requires-Dist: requests-oauthlib
 Provides-Extra: flask
+Requires-Dist: flask; extra == "flask"
+
+MediaWiki OAuth Library
+=======================
+
+``mwoauth`` is an open licensed (MIT) library designed to provide a simple means to performing an OAuth handshake with a MediaWiki installation with the `OAuth Extension <https://www.mediawiki.org/wiki/Extension:OAuth>`_ installed.  
+
+**Compatible with python 3.x**
+
+**Install with pip:** ``pip install mwoauth``
+
+**Documentation:** http://pythonhosted.org/mwoauth
+
+Usage
+=====
+
+.. code-block:: python
+
+	from mwoauth import ConsumerToken, Handshaker
+	
+	# Construct a "consumer" from the key/secret provided by MediaWiki
+	import config
+	consumer_token = ConsumerToken(config.consumer_key, config.consumer_secret)
+	
+	# Construct handshaker with wiki URI and consumer
+	handshaker = Handshaker("https://en.wikipedia.org/w/index.php",
+	                        consumer_token)
+	
+	# Step 1: Initialize -- ask MediaWiki for a temporary key/secret for user
+	redirect, request_token = handshaker.initiate()
+	
+	# Step 2: Authorize -- send user to MediaWiki to confirm authorization
+	print("Point your browser to: %s" % redirect) # 
+	response_qs = input("Response query string: ")
+	
+	# Step 3: Complete -- obtain authorized key/secret for "resource owner"
+	access_token = handshaker.complete(request_token, response_qs)
+	print(str(access_token))
+	
+	# Step 4: Identify -- (optional) get identifying information about the user
+	identity = handshaker.identify(access_token)
+	print("Identified as {username}.".format(**identity))
+
diff -pruN 0.3.8-1/README.rst 0.4.0-1/README.rst
--- 0.3.8-1/README.rst	2022-05-24 15:57:38.000000000 +0000
+++ 0.4.0-1/README.rst	2024-08-14 15:19:38.000000000 +0000
@@ -3,7 +3,7 @@ MediaWiki OAuth Library
 
 ``mwoauth`` is an open licensed (MIT) library designed to provide a simple means to performing an OAuth handshake with a MediaWiki installation with the `OAuth Extension <https://www.mediawiki.org/wiki/Extension:OAuth>`_ installed.  
 
-**Compatible with python 2.7 and 3.x**
+**Compatible with python 3.x**
 
 **Install with pip:** ``pip install mwoauth``
 
@@ -15,7 +15,6 @@ Usage
 .. code-block:: python
 
 	from mwoauth import ConsumerToken, Handshaker
-	from six.moves import input # For compatibility between python 2 and 3
 	
 	# Construct a "consumer" from the key/secret provided by MediaWiki
 	import config
diff -pruN 0.3.8-1/debian/changelog 0.4.0-1/debian/changelog
--- 0.3.8-1/debian/changelog	2024-05-10 08:19:08.000000000 +0000
+++ 0.4.0-1/debian/changelog	2024-08-14 15:38:30.000000000 +0000
@@ -1,3 +1,10 @@
+mwoauth (0.4.0-1) unstable; urgency=medium
+
+  * Team Upload
+  * New upstream version 0.4.0
+
+ -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Aug 2024 17:38:30 +0200
+
 mwoauth (0.3.8-1) unstable; urgency=medium
 
   * Team Upload
diff -pruN 0.3.8-1/mwoauth/about.py 0.4.0-1/mwoauth/about.py
--- 0.3.8-1/mwoauth/about.py	2022-05-24 16:02:36.000000000 +0000
+++ 0.4.0-1/mwoauth/about.py	2024-08-14 15:19:38.000000000 +0000
@@ -1,5 +1,5 @@
 __name__ = "mwoauth"
-__version__ = "0.3.8"
+__version__ = "0.4.0"
 __author__ = "Aaron Halfaker / Filippo Valsorda"
 __author_email__ = "aaron.halfaker@gmail.com"
 __description__ = "A generic MediaWiki OAuth handshake helper."
diff -pruN 0.3.8-1/mwoauth/flask.py 0.4.0-1/mwoauth/flask.py
--- 0.3.8-1/mwoauth/flask.py	2020-08-07 18:30:34.000000000 +0000
+++ 0.4.0-1/mwoauth/flask.py	2024-08-14 15:19:38.000000000 +0000
@@ -8,12 +8,11 @@
 
 import logging
 from functools import wraps
+from urllib.parse import urljoin
 
 import flask
 from requests_oauthlib import OAuth1
 
-from six.moves.urllib.parse import urljoin
-
 from .errors import OAuthException
 from .handshaker import Handshaker
 from .tokens import AccessToken, RequestToken
diff -pruN 0.3.8-1/mwoauth/functions.py 0.4.0-1/mwoauth/functions.py
--- 0.3.8-1/mwoauth/functions.py	2020-08-07 18:30:34.000000000 +0000
+++ 0.4.0-1/mwoauth/functions.py	2024-08-14 15:19:38.000000000 +0000
@@ -6,7 +6,6 @@ OAuth handshake or to identify a MediaWi
     .. code-block:: python
 
         from mwoauth import ConsumerToken, initiate, complete, identify
-        from six.moves import input # For compatibility between python 2 and 3
 
         # Consruct a "consumer" from the key/secret provided by MediaWiki
         import config
@@ -35,13 +34,11 @@ OAuth handshake or to identify a MediaWi
 import json
 import re
 import time
+from urllib.parse import parse_qs, urlencode, urlparse
 
 import jwt
 import requests
 from requests_oauthlib import OAuth1
-from six import PY3, text_type
-
-from six.moves.urllib.parse import parse_qs, urlencode, urlparse
 
 from . import defaults
 from .errors import OAuthException
@@ -49,13 +46,10 @@ from .tokens import AccessToken, Request
 
 
 def force_unicode(val, encoding="unicode-escape"):
-    if type(val) == text_type:
+    if type(val) == str:
         return val
     else:
-        if PY3:
-            return val.decode(encoding, errors="replace")
-        else:
-            return unicode(val, encoding, errors="replace")  # noqa
+        return val.decode(encoding, errors="replace")
 
 
 def initiate(mw_uri, consumer_token, callback='oob',
diff -pruN 0.3.8-1/mwoauth/handshaker.py 0.4.0-1/mwoauth/handshaker.py
--- 0.3.8-1/mwoauth/handshaker.py	2020-08-07 18:30:34.000000000 +0000
+++ 0.4.0-1/mwoauth/handshaker.py	2024-08-14 15:19:38.000000000 +0000
@@ -5,7 +5,6 @@ A client for managing an OAuth handshake
     .. code-block:: python
 
         from mwoauth import ConsumerToken, Handshaker
-        from six.moves import input # For compatibility between python 2 and 3
 
         # Consruct a "consumer" from the key/secret provided by MediaWiki
         import config
diff -pruN 0.3.8-1/mwoauth/tests/test_functions.py 0.4.0-1/mwoauth/tests/test_functions.py
--- 0.3.8-1/mwoauth/tests/test_functions.py	2020-08-07 18:30:34.000000000 +0000
+++ 0.4.0-1/mwoauth/tests/test_functions.py	2024-08-14 15:19:38.000000000 +0000
@@ -1,6 +1,5 @@
 # -*- coding: UTF-8 -*-
 import pytest
-from six import PY3, b
 
 from ..errors import OAuthException
 from ..functions import process_request_token
@@ -8,22 +7,17 @@ from ..functions import process_request_
 
 def test_process_request_token():
     request_token = process_request_token(
-        b("oauth_token=iamatoken&oauth_token_secret=iamasecret"))
+        "oauth_token=iamatoken&oauth_token_secret=iamasecret")
     assert request_token.key == "iamatoken"
     assert request_token.secret == "iamasecret"
 
 
 def test_process_request_token_errors():
-    if PY3:
-        text = "Error: Произошла ошибка в протоколе OAuth: " + \
-               "Invalid consumer key"
-        content = bytes(text, "utf-8")
-    else:
-        content = "Error: Произошла ошибка в протоколе OAuth: " + \
-                  "Invalid consumer key"
-        text = unicode(content, "utf-8")
+    text = "Error: Произошла ошибка в протоколе OAuth: " + \
+           "Invalid consumer key"
+    #content = bytes(text, "utf-8")
     with pytest.raises(OAuthException, match=text[len("Error: "):]):
-        process_request_token(content)
+        process_request_token(text)
 
     with pytest.raises(OAuthException, match="I am an error"):
         process_request_token("Error: I am an error")
diff -pruN 0.3.8-1/mwoauth.egg-info/PKG-INFO 0.4.0-1/mwoauth.egg-info/PKG-INFO
--- 0.3.8-1/mwoauth.egg-info/PKG-INFO	2022-05-24 16:02:57.000000000 +0000
+++ 0.4.0-1/mwoauth.egg-info/PKG-INFO	2024-08-14 15:28:43.000000000 +0000
@@ -1,57 +1,61 @@
 Metadata-Version: 2.1
 Name: mwoauth
-Version: 0.3.8
+Version: 0.4.0
 Summary: A generic MediaWiki OAuth handshake helper.
 Home-page: https://github.com/mediawiki-utilities/python-mwoauth
 Author: Aaron Halfaker / Filippo Valsorda
 Author-email: aaron.halfaker@gmail.com
 License: MIT
-Description: MediaWiki OAuth Library
-        =======================
-        
-        ``mwoauth`` is an open licensed (MIT) library designed to provide a simple means to performing an OAuth handshake with a MediaWiki installation with the `OAuth Extension <https://www.mediawiki.org/wiki/Extension:OAuth>`_ installed.  
-        
-        **Compatible with python 2.7 and 3.x**
-        
-        **Install with pip:** ``pip install mwoauth``
-        
-        **Documentation:** http://pythonhosted.org/mwoauth
-        
-        Usage
-        =====
-        
-        .. code-block:: python
-        
-        	from mwoauth import ConsumerToken, Handshaker
-        	from six.moves import input # For compatibility between python 2 and 3
-        	
-        	# Construct a "consumer" from the key/secret provided by MediaWiki
-        	import config
-        	consumer_token = ConsumerToken(config.consumer_key, config.consumer_secret)
-        	
-        	# Construct handshaker with wiki URI and consumer
-        	handshaker = Handshaker("https://en.wikipedia.org/w/index.php",
-        	                        consumer_token)
-        	
-        	# Step 1: Initialize -- ask MediaWiki for a temporary key/secret for user
-        	redirect, request_token = handshaker.initiate()
-        	
-        	# Step 2: Authorize -- send user to MediaWiki to confirm authorization
-        	print("Point your browser to: %s" % redirect) # 
-        	response_qs = input("Response query string: ")
-        	
-        	# Step 3: Complete -- obtain authorized key/secret for "resource owner"
-        	access_token = handshaker.complete(request_token, response_qs)
-        	print(str(access_token))
-        	
-        	# Step 4: Identify -- (optional) get identifying information about the user
-        	identity = handshaker.identify(access_token)
-        	print("Identified as {username}.".format(**identity))
-        
-        
-Platform: UNKNOWN
 Classifier: Development Status :: 4 - Beta
 Classifier: Topic :: Security
 Classifier: License :: OSI Approved :: MIT License
 Classifier: Topic :: Software Development :: Libraries :: Python Modules
+License-File: LICENSE
+Requires-Dist: PyJWT>=1.0.1
+Requires-Dist: oauthlib
+Requires-Dist: requests
+Requires-Dist: requests-oauthlib
 Provides-Extra: flask
+Requires-Dist: flask; extra == "flask"
+
+MediaWiki OAuth Library
+=======================
+
+``mwoauth`` is an open licensed (MIT) library designed to provide a simple means to performing an OAuth handshake with a MediaWiki installation with the `OAuth Extension <https://www.mediawiki.org/wiki/Extension:OAuth>`_ installed.  
+
+**Compatible with python 3.x**
+
+**Install with pip:** ``pip install mwoauth``
+
+**Documentation:** http://pythonhosted.org/mwoauth
+
+Usage
+=====
+
+.. code-block:: python
+
+	from mwoauth import ConsumerToken, Handshaker
+	
+	# Construct a "consumer" from the key/secret provided by MediaWiki
+	import config
+	consumer_token = ConsumerToken(config.consumer_key, config.consumer_secret)
+	
+	# Construct handshaker with wiki URI and consumer
+	handshaker = Handshaker("https://en.wikipedia.org/w/index.php",
+	                        consumer_token)
+	
+	# Step 1: Initialize -- ask MediaWiki for a temporary key/secret for user
+	redirect, request_token = handshaker.initiate()
+	
+	# Step 2: Authorize -- send user to MediaWiki to confirm authorization
+	print("Point your browser to: %s" % redirect) # 
+	response_qs = input("Response query string: ")
+	
+	# Step 3: Complete -- obtain authorized key/secret for "resource owner"
+	access_token = handshaker.complete(request_token, response_qs)
+	print(str(access_token))
+	
+	# Step 4: Identify -- (optional) get identifying information about the user
+	identity = handshaker.identify(access_token)
+	print("Identified as {username}.".format(**identity))
+
diff -pruN 0.3.8-1/mwoauth.egg-info/requires.txt 0.4.0-1/mwoauth.egg-info/requires.txt
--- 0.3.8-1/mwoauth.egg-info/requires.txt	2022-05-24 16:02:57.000000000 +0000
+++ 0.4.0-1/mwoauth.egg-info/requires.txt	2024-08-14 15:28:43.000000000 +0000
@@ -2,7 +2,6 @@ PyJWT>=1.0.1
 oauthlib
 requests
 requests-oauthlib
-six
 
 [flask]
 flask
diff -pruN 0.3.8-1/requirements.txt 0.4.0-1/requirements.txt
--- 0.3.8-1/requirements.txt	2022-05-24 16:02:04.000000000 +0000
+++ 0.4.0-1/requirements.txt	2024-08-14 15:19:38.000000000 +0000
@@ -1,4 +1,3 @@
 PyJWT == 2.4.0
 requests == 2.21.0
 requests-oauthlib == 1.2.0
-six == 1.12.0
diff -pruN 0.3.8-1/setup.py 0.4.0-1/setup.py
--- 0.3.8-1/setup.py	2022-05-24 15:57:38.000000000 +0000
+++ 0.4.0-1/setup.py	2024-08-14 15:19:38.000000000 +0000
@@ -26,7 +26,6 @@ setup(
         'oauthlib',
         'requests',
         'requests-oauthlib',
-        'six'
     ],
     extras_require={
         'flask': ['flask'],
